<?php
/**
 * @package 	WordPress
 * @subpackage 	Kids
 * @version		1.1.5
 * 
 * Blog Post Standard Post Format Template
 * Created by CMSMasters
 * 
 */
 
 
$cmsmasters_option = kids_get_global_options();


$cmsmasters_post_title = get_post_meta(get_the_ID(), 'cmsmasters_post_title', true);

$cmsmasters_post_image_show = get_post_meta(get_the_ID(), 'cmsmasters_post_image_show', true);


list($cmsmasters_layout) = kids_theme_page_layout_scheme();

if ($cmsmasters_layout == 'fullwidth') {
	$cmsmasters_image_thumb_size = 'cmsmasters-full-masonry-thumb';
} else {
	$cmsmasters_image_thumb_size = 'cmsmasters-masonry-thumb';
}

?>

<!-- Start Standard Article -->

<article id="post-<?php the_ID(); ?>" <?php post_class('cmsmasters_open_post'); ?>>
	<?php kids_post_color(get_the_ID(), get_post_format(), 'post');
	
	if (!post_password_required() && has_post_thumbnail() && $cmsmasters_post_image_show != 'true') {
		kids_thumb(get_the_ID(), $cmsmasters_image_thumb_size, false, 'img_' . get_the_ID(), false, false, false, true, false);
	}
	
		kids_get_post_date('post');
		
	if (
		$cmsmasters_option['kids' . '_blog_post_comment'] || 
		$cmsmasters_option['kids' . '_blog_post_like'] || 
		$cmsmasters_option['kids' . '_blog_post_tag'] || 
		$cmsmasters_option['kids' . '_blog_post_date'] || 
		$cmsmasters_option['kids' . '_blog_post_author'] || 
		$cmsmasters_option['kids' . '_blog_post_cat'] 
	) {
		echo '<div class="cmsmasters_post_cont_info entry-meta">';
			
			if ($cmsmasters_post_title == 'true') {
				kids_post_title_nolink(get_the_ID(), 'h2');
			}
			
			if (
				$cmsmasters_option['kids' . '_blog_post_tag'] || 
				$cmsmasters_option['kids' . '_blog_post_author'] || 
				$cmsmasters_option['kids' . '_blog_post_cat'] 
			) {
				echo '<div class="cmsmasters_post_cont_info_left entry-meta">';
				
					kids_get_post_author('post');
			
					kids_get_post_category(get_the_ID(), 'category', 'post');
				
					kids_get_post_tags();
				
				echo '</div>';
			}
			
			if (
				$cmsmasters_option['kids' . '_blog_post_comment'] || 
				$cmsmasters_option['kids' . '_blog_post_like']
			) {
				echo '<div class="cmsmasters_post_cont_info_right entry-meta">';
				
					kids_get_post_likes('post');
				
					kids_get_post_comments('post');
					
				echo '</div>';
			}
			
		echo '</div>';
	}
	
	
	if (get_the_content() != '') {
		echo '<div class="cmsmasters_post_content entry-content">';
			
			the_content();
			
			
			wp_link_pages(array( 
				'before' => '<div class="subpage_nav" role="navigation">' . '<strong>' . esc_html__('Pages', 'kids') . ':</strong>', 
				'after' => '</div>', 
				'link_before' => '<span>', 
				'link_after' => '</span>' 
			));
			
		echo '</div>';
	}
	
	?>
</article>
<!-- Finish Standard Article -->

