<?php
/**
 * @package 	WordPress
 * @subpackage 	Kids
 * @version		1.2.5
 * 
 * Single Post Template
 * Created by CMSMasters
 * 
 */


get_header();


$cmsmasters_option = kids_get_global_options();


list($cmsmasters_layout) = kids_theme_page_layout_scheme();


$cmsmasters_post_sharing_box = get_post_meta(get_the_ID(), 'cmsmasters_post_sharing_box', true);

$cmsmasters_post_author_box = get_post_meta(get_the_ID(), 'cmsmasters_post_author_box', true);

$cmsmasters_post_more_posts = get_post_meta(get_the_ID(), 'cmsmasters_post_more_posts', true);


echo '<!-- Start Content -->' . "\n";


if ($cmsmasters_layout == 'r_sidebar') {
	echo '<div class="content entry" role="main">' . "\n\t";
} elseif ($cmsmasters_layout == 'l_sidebar') {
	echo '<div class="content entry fr" role="main">' . "\n\t";
} else {
	echo '<div class="middle_content entry">';
}


if (have_posts()) : the_post();
	echo '<div class="blog opened-article">' . "\n";
	
	
	if ( 'tribe_event_series' === get_post_type( get_the_ID() ) ) {
		the_content();
	} else {
		if (get_post_format() != '') {
			get_template_part('framework/post-type/blog/post/' . get_post_format());
		} else {
			get_template_part('framework/post-type/blog/post/standard');
		}
		
		
		if ($cmsmasters_option['kids' . '_blog_post_nav_box']) {
			kids_prev_next_posts();
		}
		
		
		if ($cmsmasters_post_sharing_box == 'true') {
			kids_sharing_box(esc_html__('Like this post?', 'kids'), 'h2');
		}
		
		
		if ($cmsmasters_post_author_box == 'true') {
			kids_author_box(esc_html__('About author', 'kids'), 'h2', 'h4');
		}
		
		
		if (get_the_tags()) {
			$tgsarray = array();
			
			foreach (get_the_tags() as $tagone) {
				$tgsarray[] = $tagone->term_id;
			}
		} else {
			$tgsarray = '';
		}
		
		
		if ($cmsmasters_post_more_posts != 'hide') {
			kids_related( 
				'h2', 
				$cmsmasters_post_more_posts, 
				$tgsarray, 
				$cmsmasters_option['kids' . '_blog_more_posts_count'], 
				$cmsmasters_option['kids' . '_blog_more_posts_pause'], 
				'post' 
			);
		}
		
		
		echo kids_get_post_pings(get_the_ID(), 'h2');
		
		
		comments_template(); 
	}
	
	
	echo '</div>';
endif;


echo '</div>' . "\n" . 
'<!--  Finish Content -->' . "\n\n";


if ($cmsmasters_layout == 'r_sidebar') {
	echo "\n" . '<!--  Start Sidebar -->' . "\n" . 
	'<div class="sidebar" role="complementary">' . "\n";
	
	
	get_sidebar();
	
	
	echo "\n" . '</div>' . "\n" . 
	'<!--  Finish Sidebar -->' . "\n";
} elseif ($cmsmasters_layout == 'l_sidebar') {
	echo "\n" . '<!--  Start Sidebar -->' . "\n" . 
	'<div class="sidebar fl" role="complementary">' . "\n";
	
	
	get_sidebar();
	
	
	echo "\n" . '</div>' . "\n" . 
	'<!--  Finish Sidebar -->' . "\n";
}


get_footer();

